Subject: [Lsr] I-D Action: draft-ietf-lsr-pce-discovery-security-support-09.txt

From: [email-masked]
Date: Sat, 21 Aug 2021 06:27:38 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Link State Routing WG of the IETF.

        Title           : IGP extension for PCEP security capability support in the PCE discovery
        Authors         : Diego R. Lopez
                          Qin Wu
                          Dhruv Dhody
                          Qiufang Ma
                          Daniel King
	Filename        : draft-ietf-lsr-pce-discovery-security-support-09.txt
	Pages           : 11
	Date            : 2021-08-21

Abstract:
   When a Path Computation Element (PCE) is a Label Switching Router
   (LSR) participating in the Interior Gateway Protocol (IGP), or even a
   server participating in IGP, its presence and path computation
   capabilities can be advertised using IGP flooding.  The IGP
   extensions for PCE discovery (RFC 5088 and RFC 5089) define a method
   to advertise path computation capabilities using IGP flooding for
   OSPF and IS-IS respectively.  However these specifications lack a
   method to advertise PCEP security (e.g., Transport Layer Security
   (TLS), TCP Authentication Option (TCP-AO)) support capability.

   This document defines capability flag bits for PCE-CAP-FLAGS sub-TLV
   that can be announced as an attribute in the IGP advertisement to
   distribute PCEP security support information.  In addition, this
   document updates RFC 5088 and RFC 5089 to allow advertisement of Key
   ID or Key Chain Name Sub-TLV to support TCP-AO security capability.
   RFC 8231, RFC 8306, and RFC 8623 are also updated to reflect the
   movement of the IANA "PCE Capability Flags" registry.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lsr-pce-discovery-security-support/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-lsr-pce-discovery-security-support-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lsr-pce-discovery-security-support-09

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/